From 232b21a7eacd7d6ecca60d509eab0b8f757e37e5 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 20:15:30 +0000
Subject: [PATCH 73/220] cosmic-settings-daemon, fix cosmmic-greeter


---

diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index e9d2dba..4e09c41 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -30,6 +30,9 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  pam-devel
 BuildRequires:  just
 
+BuildRequires:   systemd-rpm-macros
+%{?sysusers_requires_compat}
+
 Requires:       dbus
 Requires:       greetd
 Requires:       greetd-selinux
@@ -67,6 +70,21 @@ install -Dm0644 debian/cosmic-greeter-daemon.service %{buildroot}/%{_unitdir}/co
 %cargo_test
 %endif
 
+%pre
+%sysusers_create_compat debian/cosmic-greeter.sysusers
+
+%post
+%systemd_post cosmic-greeter.service
+%systemd_post cosmic-greeter-daemon.service
+
+%preun
+%systemd_preun cosmic-greeter.service
+%systemd_preun cosmic-greeter-daemon.service
+
+%postun
+%systemd_postun cosmic-greeter.service
+%systemd_postun cosmic-greeter-daemon.service
+
 %files
 %license LICENSE
 %license LICENSE.dependencies
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index fbf16ed..cf90da3 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -6,21 +6,29 @@
 
 %global crate cosmic-settings-daemon
 
+%global ver ###
+%global commit ###
+%global date ###
+
 Name:           cosmic-settings-daemon
-Version:        0.1.0
+Version:        %{ver}~%{date}
 Release:        %autorelease
 Summary:        # FIXME
 
 SourceLicense:  GPL-3.0-or-later
-# FIXME: paste output of %%cargo_license_summary here
-License:        # FIXME
+License:        GPL-3.0
 # LICENSE.dependencies contains a full license breakdown
 
-URL:            # FIXME
-Source:         # FIXME
-Source:         cosmic-settings-daemon-0.1.0-vendor.tar.xz
+URL:            https://github.com/pop-os/cosmic-settings-daemon
+Source:         cosmic-settings-daemon-%{ver}.tar.xz
+Source:         cosmic-settings-daemon-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  systemd-devel
+BuildRequires:  just
 
 %global _description %{expand:
 %{summary}.}
@@ -28,8 +36,9 @@ BuildRequires:  cargo-rpm-macros >= 26
 %description %{_description}
 
 %prep
-%autosetup -n %{crate}-%{version} -p1 -a1
-%cargo_prep -v vendor
+%autosetup -n %{crate}-%{ver} -p1 -a1
+%cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
 %cargo_build
@@ -38,7 +47,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_vendor_manifest}
 
 %install
-%cargo_install
+make install DESTDIR=%{buildroot} prefix=%{_prefix}
 
 %if %{with check}
 %check
@@ -48,7 +57,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %files
 %license LICENSE
 %license LICENSE.dependencies
-%license cargo-vendor.txt
+# %%license cargo-vendor.txt
 %{_bindir}/cosmic-settings-daemon
 
 %changelog
